### Method

# Ide TreeNode remove

#### Declaration

    void
    ide_tree_node_remove (
      IdeTreeNode* self,
      IdeTreeNode* child
    )

#### Description

Removes the child node `child` from `self`. `self` must be the parent of `child`.

This function is O(1).

Available since: | 3.32

#### Parameters

`child` | `IdeTreeNode`
| A `IdeTreeNode`.
| The data is owned by the caller of the function.